import java.util.Scanner;

public class SubtractionQuizLoop {
  public static void main(String[] args) {
    final int NUMBER_OF_QUESTIONS = 5; // Liczba pytań
    int correctCount = 0; // Licznik poprawnych odpowiedzi
    int count = 0; // Licznik pytań
    long startTime = System.currentTimeMillis();
    String output = ""; // Łańcuch znaków output jest początkowo pusty
    Scanner input = new Scanner(System.in);
    
    while (count < NUMBER_OF_QUESTIONS) {
      // 1. Generowanie dwóch losowych jednocyfrowych liczb całkowitych
      int number1 = (int)(Math.random() * 10);
      int number2 = (int)(Math.random() * 10);

      // 2. Jeśli number1 < number2, przestaw number1 z number2
      if (number1 < number2) {
        int temp = number1;
        number1 = number2;
        number2 = temp;
      }

      // 3. Wyświetlanie prośby o odpowiedź na pytanie "Ile wynosi number1 – number2?"
      System.out.print(
        "Ile wynosi " + number1 + " – " + number2 + "? ");
      int answer = input.nextInt();

      // 4. Ocenianie odpowiedzi i wyświetlanie wyniku
      if (number1 - number2 == answer) {
        System.out.println("To dobra odpowiedź!\n");
        correctCount++; // Zwiększanie wartości licznika poprawnych odpowiedzi
      }
      else
        System.out.println("Odpowiedź jest błędna.\n" + number1
          + " – " + number2 + " wynosi " + (number1 — number2));

      // Zwiększanie wartości licznika pytań
      count++;

      output += "\n" + number1 + "-" + number2 + "=" + answer + 
        ((number1 – number2 == answer) ? " dobrze": " źle");
    }

    long endTime = System.currentTimeMillis();
    long testTime = endTime - startTime;

    System.out.println("Liczba poprawnych odpowiedzi: " + correctCount +
      "\nCzas ukończenia testu: " + testTime / 1000 + " s\n" + output);
  }
}
